# DataRepeaterItem

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

* [Control](/api/wisej.web/general/control.md)
  * [ScrollableControl](/api/wisej.web/containers/scrollablecontrol.md)
    * [Panel](/api/wisej.web/containers/wisej.web.panel.md)
      * [DataRepeaterItem](/api/wisej.web/containers/datarepeater/wisej.web.datarepeateritem.md)

Used by the [DataRepeater](/api/wisej.web/containers/datarepeater.md) control to display data at run time.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DataRepeaterItem : Panel
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DataRepeaterItem
    Inherits Panel
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) DataRepeaterItem()

Initializes a new instance of the [DataRepeaterItem](/api/wisej.web/containers/datarepeater/wisej.web.datarepeateritem.md) object.

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) ClientArea

[Rectangle](https://docs.microsoft.com/dotnet/api/system.drawing.rectangle): Returns the client rectangle to use in the designer.

### ![](/files/hsR4ok3152WyAf8J2C1u) IsCurrent

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Return a value that determines whether a [DataRepeaterItem](/api/wisej.web/containers/datarepeater/wisej.web.datarepeateritem.md) is the currently selected item in a [DataRepeater](/api/wisej.web/containers/datarepeater.md) control.

### ![](/files/hsR4ok3152WyAf8J2C1u) ItemIndex

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns the index of a [DataRepeaterItem](/api/wisej.web/containers/datarepeater/wisej.web.datarepeateritem.md) in a [DataRepeater](/api/wisej.web/containers/datarepeater.md) control.

### ![](/files/hsR4ok3152WyAf8J2C1u) Modified

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns value that determines whether the data for a [DataRepeaterItem](/api/wisej.web/containers/datarepeater/wisej.web.datarepeateritem.md) in a [DataRepeater](/api/wisej.web/containers/datarepeater.md) control has been changed by the user.

## Methods

### ![](/files/lzopMboA31bVq8UIcbT3) Dispose(disposing)

| Parameter     | Type                                                            | Description |
| ------------- | --------------------------------------------------------------- | ----------- |
| **disposing** | [Boolean](https://docs.microsoft.com/dotnet/api/system.boolean) |             |

### ![](/files/lzopMboA31bVq8UIcbT3) OnEnter(e)

| Parameter | Type                                                                | Description |
| --------- | ------------------------------------------------------------------- | ----------- |
| **e**     | [EventArgs](https://docs.microsoft.com/dotnet/api/system.eventargs) |             |

### ![](/files/lzopMboA31bVq8UIcbT3) OnWebRender(config)

Renders the client component.

| Parameter  | Type                                                          | Description                   |
| ---------- | ------------------------------------------------------------- | ----------------------------- |
| **config** | [Object](https://docs.microsoft.com/dotnet/api/system.object) | Dynamic configuration object. |

### ![](/files/lzopMboA31bVq8UIcbT3) SetBoundsCore(x, y, width, height, specified)

| Parameter     | Type                                                                        | Description |
| ------------- | --------------------------------------------------------------------------- | ----------- |
| **x**         | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                 |             |
| **y**         | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                 |             |
| **width**     | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                 |             |
| **height**    | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                 |             |
| **specified** | [BoundsSpecified](/api/wisej.web/enumerations/wisej.web.boundsspecified.md) |             |

### ![](/files/lzopMboA31bVq8UIcbT3) UpdateZOrder()

## Implements

| Name                                                                              | Description                                                                                                           |
| --------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| [IUserData](/api/wisej.web/interfaces/wisej.web.iuserdata.md)                     | Provides access to the `UserData` and `Tag` properties associated to the component implementing this interface.       |
| [IBindableComponent](/api/wisej.web/data-binding/wisej.web.ibindablecomponent.md) | Bindable components implement this interface.                                                                         |
| [IDropTarget](/api/wisej.web/interfaces/wisej.web.idroptarget.md)                 | Controls that support drag & drop operations implement this interface.                                                |
| [IImage](/api/wisej.web/interfaces/wisej.web.iimage.md)                           | Provides access to common image properties across the controls that implement this interface.                         |
| [IWisejComponent](/api/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                        |
| [IWisejControl](/api/wisej.core/interfaces/wisej.core.iwisejcontrol.md)           | All wisej controls derived from the [Control](/api/wisej.web/general/control.md) class must implement this interface. |
| [IWisejSerializable](/api/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                                 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/containers/datarepeater/wisej.web.datarepeateritem.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
